package com.AltecAir.P4200.web;

import java.io.File;
import java.io.IOException;



import com.AltecAir.P4200.System.P4200;
import com.AltecAir.Common.Interface.UIInterface;
import com.AltecAir.P4200.org.nanohttpd.webserver.SimpleWebServer;
import com.AltecAir.Common.util.NetworkTools;

public class Server extends SimpleWebServer
{

	public Server(P4200 p4200,UIInterface stateMachine)
	{
		super(NetworkTools.IPToStringNoSpaces(p4200.getNetwork().getIPAddress()), 80, new File("/home/pi/web/"), true,stateMachine);
		try
		{
			super.start();
		}
		catch (IOException e)
		{
			// TODO listen on random port, and let orphan NanoHTTPD thread close
			// themselves.
			throw new RuntimeException(e);
		}
	}

}
