var st=setTimeout('CheckButton()', 100);
function disconnect() {
	webSocket.close();
}
function connect(protocol, hostname, port, endpoint) {
	var webSocketURL = null;
	webSocketURL = protocol + "://" + hostname + ":" + port + endpoint;
	console.log("openWSConnection::Connecting to: " + webSocketURL);
	try {
		webSocket = new WebSocket(webSocketURL);
		webSocket.onopen = function(openEvent) {
			console.log("WebSocket OPEN: " + JSON.stringify(openEvent, null, 4));

		};
		webSocket.onclose = function (closeEvent) {
			console.log("WebSocket CLOSE: " + JSON.stringify(closeEvent, null, 4));
		};
		webSocket.onerror = function (errorEvent) {
			console.log("WebSocket ERROR: " + JSON.stringify(errorEvent, null, 4));
		};
		webSocket.onmessage = function (messageEvent) {
			var wsMsg = messageEvent.data;
			p4200 = JSON.parse(wsMsg);
			//console.log("WebSocket MESSAGE: " + wsMsg);
			displayCurrentFirmwareVersion();

		};
	} catch (exception) {
		console.error(exception);
	}
}

function sendMessage(message)
{
	if (webSocket.readyState != WebSocket.OPEN) {
		console.error("webSocket is not open: " + webSocket.readyState);
		return;
	}
	webSocket.send(message);
}
function doPost()
{	
	if (isUnlocked()) {
	sendMessage("FIRMWARE UPDATING")
	clearTimeout(st);
	var bt=document.getElementById('Accept');
	bt.disabled=true;
	Form1.method='POST';
	Form1.submit();
	}
	
}
function CheckButton() 
{
	var bt=document.getElementById('Accept');
	if(bt!=null) 
	{
		if(document.getElementById('DryerNewFirmWare').value=='')
		 bt.disabled=true;
		 else bt.disabled=false;
		} 
	st=setTimeout('CheckButton()', 100);
}

function displayCurrentFirmwareVersion()
{
	document.getElementById('currentVersionCell').innerHTML = "&nbsp Firmware Version:&nbsp"+p4200.fimwareVersion+" &nbsp &nbsp Library Version:&nbsp" + p4200.libraryVersion;
}
function sendCommand(commandCode, payload)
{
	var msg = [commandCode,payload];
	sendMessage(msg);
}


