
var p4200 = null;
var unlocked = false;
var socket;



Number.prototype.pad = function (size) {
	var s = String(this);
	while (s.length < (size || 2)) { s = "0" + s; }
	return s;
}
/**
 * Open a new WebSocket connection using the given parameters
 */
function setupWebSocket(webSocket)
{
	try {
		webSocket.onopen = function (openEvent) {
			console.log("WebSocket OPEN: " + JSON.stringify(openEvent, null, 4));

		};
		webSocket.onclose = function (closeEvent) {
			console.log("WebSocket CLOSE: " + JSON.stringify(closeEvent, null, 4));
		};
		webSocket.onerror = function (errorEvent) {
			console.log("WebSocket ERROR: " + JSON.stringify(errorEvent, null, 4));
		};
		webSocket.onmessage = function (messageEvent) {
			var wsMsg = messageEvent.data;
			//console.log("WebSocket MESSAGE: " + wsMsg);
			p4200 = JSON.parse(wsMsg);


			
		};
		socket = webSocket;
	} catch (exception) {
		console.error(exception);
	}
}
function setSerialNumber()
{
		if (event.key === 'Enter' || event.key === 'Tab') {
			var sn = document.getElementById('sn');
			if (validateSerialNumber(sn.value)) {
				generateMasterPassword()
				sn.blur();
			}
			else {
				alert("Incorrect Serial Number Format");
				sn.blur();
			}
	}
}
function setSerialNumberOnClickOrBlur()
{

			var sn = document.getElementById('sn');
			if (validateSerialNumber(sn.value)) {
				generateMasterPassword()
				sn.blur();
			}
			else {
				alert("Incorrect Serial Number Format");
				sn.blur();
			}
	
}
function generateMasterPassword()
{
	var sn = document.getElementById('sn');
	var mp = document.getElementById('mp');

	var masterPassword = sn.value.substring(2,4)+sn.value.substring(5);
	console.log(masterPassword);
	mp.value = masterPassword;
	sn.disabled = true;
	var save = document.getElementById('save');
	save.disabled = false;
}
function clearData()
{
	var sn = document.getElementById('sn');
	var mp = document.getElementById('mp');
	var save = document.getElementById('save');
	mp.value = ""
	sn.value = ""
	save.disabled = true;

	sn.disabled = false;
}
function writeProductionData()
{
	var model = document.getElementById('model');
	var modelNumber = model.options[model.selectedIndex].value;
	sendCommand(socket,"SET MODEL NUMBER", modelNumber);
	var serial = document.getElementById('sn');
	sendCommand(socket, "SET SERIAL NUMBER",serial.value);
	var pw = document.getElementById('mp');
	sendCommand(socket, "SET MASTER PASSWORD",pw.value);
}
function validateSerialNumber(sn)
{
	re = /^\d{9}$/
	if(sn != '')
	{
		if(sn.match(re))
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	else
	{
		return false;
	}
}


