
function disconnect(webSocket) {
	webSocket.close();
	
}

function connect(protocol, hostname, port, endpoint) {
	var webSocketURL = null;
	webSocketURL = protocol + "://" + hostname + ":" + port + endpoint;
	console.log("openWSConnection::Connecting to: " + webSocketURL);
	try {
		webSocket = new WebSocket(webSocketURL);
	} catch (exception) {
		console.error(exception);
	}
	return webSocket;
}
function sendMessage(webSocket,message)
{
	if (webSocket.readyState != WebSocket.OPEN) {
		console.error("webSocket is not open: " + webSocket.readyState);
		return;
	}
	webSocket.send(message);
}
function sendCommand(webSocket,commandCode, payload)
{
	var msg = [commandCode,payload];
	sendMessage(webSocket,msg);
}